%define pkgname		libsigc++

%define api_version	3.0
%define major		0
%define libname		%mklibname sigc++ %api_version %major
%define libnamedev	%mklibname -d sigc++ %api_version

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}
Summary:	The Typesafe Signal Framework for C++
Version:	3.4.0
Release:	%mkrel 1
License:	LGPLv3+
Group:		System/Libraries
URL:		https://libsigcplusplus.github.io/libsigcplusplus/
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	doxygen

%description
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ability to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libname}
Summary:	The Typesafe Signal Framework for C++
Group:		System/Libraries
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description -n %{libname}
Callback system for use in widget libraries, abstract interfaces, and
general programming.

This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally part
of the Gtk-- widget set, %{pkgname} is now a separate library to provide for
more general use. It is the most complete library of its kind with the
ability to connect an abstract callback to a class method, function, or
function object. It contains adaptor classes for connection of dissimilar
callbacks and has an ease of use unmatched by other C++ callback
libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses
%{pkgname}.


%package -n %{libnamedev}
Summary:	Development tools for the Typesafe Signal Framework for C++
Group:		Development/C++
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	sigc++%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libnamedev}
This package contains the headers and static libraries of %{pkgname},
which are needed when developing or compiling applications which use
%{pkgname}.

%package doc
Summary:	Documentation for %{pkgname} library
Group:		Documentation
BuildArch:	noarch

%description doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson -Dbuild-documentation=true
%meson_build

%check
%meson_test

%install
%meson_install

%files -n %{libname}
%doc COPYING NEWS README.md
%{_libdir}/libsigc-%{api_version}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc AUTHORS ChangeLog
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_libdir}/sigc++-%{api_version}

%files doc
%doc %{_docdir}/libsigc++-%{api_version}
%_datadir/devhelp/books/libsigc++-%{api_version}


%changelog
* Sun Feb 12 2023 wally <wally> 3.4.0-1.mga9
+ Revision: 1940982
- new version 3.4.0
- update URL

* Fri Mar 18 2022 umeabot <umeabot> 3.0.7-2.mga9
+ Revision: 1798723
- Mageia 9 Mass Rebuild

* Thu May 20 2021 ovitters <ovitters> 3.0.7-1.mga9
+ Revision: 1725778
- new version 3.0.7

* Wed Nov 25 2020 ovitters <ovitters> 3.0.6-1.mga8
+ Revision: 1649277
- new version 3.0.6

* Sun Sep 27 2020 tv <tv> 3.0.4-1.mga8
+ Revision: 1630812
- switch to meson
+ ovitters <ovitters>
- new version 3.0.4

* Wed Mar 25 2020 ovitters <ovitters> 3.0.3-1.mga8
+ Revision: 1559846
- new version 3.0.3

* Tue Feb 18 2020 umeabot <umeabot> 3.0.2-2.mga8
+ Revision: 1541832
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 02 2020 daviddavid <daviddavid> 3.0.2-1.mga8
+ Revision: 1475530
- new version 3.0.2
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Jul 03 2019 ovitters <ovitters> 2.99.13-1.mga8
+ Revision: 1418088
- new version 2.99.13

* Tue Oct 30 2018 ovitters <ovitters> 2.99.12-1.mga7
+ Revision: 1326756
- new version 2.99.12

* Sun Sep 23 2018 umeabot <umeabot> 2.99.11-2.mga7
+ Revision: 1299147
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 ovitters <ovitters> 2.99.11-1.mga7
+ Revision: 1217231
- new version 2.99.11

* Wed Jan 10 2018 ovitters <ovitters> 2.99.10-1.mga7
+ Revision: 1192188
- new version 2.99.10

* Sat Aug 26 2017 wally <wally> 2.99.9-1.mga7
+ Revision: 1148224
- new version 2.99.9

* Tue Feb 14 2017 ovitters <ovitters> 2.99.8-1.mga6
+ Revision: 1086108
- new version 2.99.8

* Sun Sep 18 2016 ovitters <ovitters> 2.99.7-1.mga6
+ Revision: 1053877
- new version 2.99.7

* Wed Apr 27 2016 ovitters <ovitters> 2.99.6-1.mga6
+ Revision: 1006871
- new version 2.99.6

* Thu Apr 14 2016 ovitters <ovitters> 2.99.5-1.mga6
+ Revision: 1001302
- new version 2.99.5

* Fri Apr 08 2016 ovitters <ovitters> 2.99.4-1.mga6
+ Revision: 999391
- new version 2.99.4

* Fri Mar 18 2016 wally <wally> 2.99.3-1.mga6
+ Revision: 992880
- new version 2.99.3
- new api 3.0
- fork from libsigc++2.0
- new version 2.8.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 13 2015 ovitters <ovitters> 2.6.2-1.mga6
+ Revision: 902995
- new version 2.6.2

* Thu Oct 08 2015 ovitters <ovitters> 2.6.1-1.mga6
+ Revision: 887922
- new version 2.6.1

* Thu Sep 24 2015 tv <tv> 2.6.0-1.mga6
+ Revision: 882672
- new release

* Thu Sep 03 2015 ovitters <ovitters> 2.5.4-1.mga6
+ Revision: 872529
- new version 2.5.4

* Sat Aug 29 2015 ovitters <ovitters> 2.5.3-1.mga6
+ Revision: 871010
- new version 2.5.3

* Mon Aug 24 2015 ovitters <ovitters> 2.5.2-1.mga6
+ Revision: 869009
- new version 2.5.2

* Tue Aug 11 2015 ovitters <ovitters> 2.5.1-1.mga6
+ Revision: 862473
- new version 2.5.1

* Sat Jun 20 2015 ovitters <ovitters> 2.4.1-1.mga6
+ Revision: 836501
- new version 2.4.1

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-3.mga5
+ Revision: 743248
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.0-2.mga5
+ Revision: 681783
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 wally <wally> 2.4.0-1.mga5
+ Revision: 676807
- new version 2.4.0
- drop unneeded obsoletes/provides

* Fri Oct 18 2013 umeabot <umeabot> 2.2.11-4.mga4
+ Revision: 507345
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.11-3.mga3
+ Revision: 358158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.2.11-2.mga3
+ Revision: 305615
- Documentation group
+ ovitters <ovitters>
- clean spec

* Mon Sep 24 2012 fwang <fwang> 2.2.11-1.mga3
+ Revision: 296948
- new version 2.2.11

* Sat Dec 31 2011 fwang <fwang> 2.2.10-2.mga2
+ Revision: 189256
- doc should be noarch package
- new version 2.2.10
  do not ship .la files

* Tue Jun 28 2011 fwang <fwang> 2.2.9-1.mga2
+ Revision: 115049
- new version 2.2.9

* Thu Jan 13 2011 ahmad <ahmad> 2.2.8-2.mga1
+ Revision: 8688
- clean spec; drop old/unneeded scriptlets
- imported package libsigc++2.0


* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.2.8-1mdv2011.0
+ Revision: 550779
- update to new version 2.2.8

* Tue May 04 2010 Götz Waschk <waschk@mandriva.org> 2.2.7-1mdv2010.1
+ Revision: 542098
- update to new version 2.2.7

* Fri Apr 16 2010 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2010.1
+ Revision: 535363
- update to new version 2.2.6

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.2.5-1mdv2010.1
+ Revision: 528767
- update to new version 2.2.5

* Wed Sep 02 2009 Götz Waschk <waschk@mandriva.org> 2.2.4.2-1mdv2010.1
+ Revision: 425498
- update to new version 2.2.4.2

* Fri Aug 28 2009 Götz Waschk <waschk@mandriva.org> 2.2.4.1-1mdv2010.0
+ Revision: 421932
- update to new version 2.2.4.1

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdv2010.0
+ Revision: 421181
- update file list
- new version
- remove static lib

* Thu Oct 16 2008 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2009.1
+ Revision: 294124
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.2.2-2mdv2009.0
+ Revision: 223001
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 183465
- new version

* Thu Feb 28 2008 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2008.1
+ Revision: 176393
- new version

* Fri Feb 22 2008 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2008.1
+ Revision: 173930
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-2mdv2008.0
+ Revision: 63637
- fix obsoleting the old devel package

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 63297
- new version
- new devel name


* Thu Dec 21 2006 Götz Waschk <waschk@mandriva.org> 2.0.17-1mdv2007.0
+ Revision: 100969
- Import libsigc++2.0

* Thu Dec 21 2006 Götz Waschk <waschk@mandriva.org> 2.0.17-1mdv2007.1
- add check section

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 2.0.17-1mdk
- New release 2.0.17
- use mkrel

* Tue Aug 02 2005 Götz Waschk <waschk@mandriva.org> 2.0.16-1mdk
- New release 2.0.16

* Thu Jul 07 2005 Götz Waschk <waschk@mandriva.org> 2.0.15-1mdk
- reenable libtoolize
- New release 2.0.15

* Sun Jun 12 2005 Götz Waschk <waschk@mandriva.org> 2.0.14-1mdk
- New release 2.0.14

* Fri Jun 10 2005 Götz Waschk <waschk@mandriva.org> 2.0.13-1mdk
- New release 2.0.13

* Thu May 12 2005 Götz Waschk <waschk@mandriva.org> 2.0.12-1mdk
- fix provides
- New release 2.0.12

* Fri Apr 01 2005 Götz Waschk <waschk@linux-mandrake.com> 2.0.11-1mdk
- New release 2.0.11

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 2.0.10-1mdk
- New release 2.0.10

* Thu Feb 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.0.9-1mdk
- New release 2.0.9

* Tue Feb 01 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.0.8-1mdk
- New release 2.0.8

* Wed Jan 26 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.0.7-1mdk
- New release 2.0.7

* Thu Oct 14 2004 Götz Waschk <waschk@linux-mandrake.com> 2.0.6-1mdk
- fix source URL
- New release 2.0.6

* Sun Jun 06 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.0.3-1mdk
- New release 2.0.3

* Wed May 05 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-1mdk
- New version
- Split doc as subpackage

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- New major release
- Add lib64* Provides

